%{?nodejs_find_provides_and_requires}

%global packagename base-option
%global enable_tests 1

Name:		nodejs-base-option
Version:	0.8.4
Release:	2%{?dist}
Summary:	Adds a few options methods to base, like option, enable and disable

License:	MIT
URL:		https://github.com/node-base/base-option
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/node-base/%{packagename}/master/test.js
Source2:	https://raw.githubusercontent.com/node-base/%{packagename}/master/README.md


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(base)
BuildRequires:	npm(base-plugins)
BuildRequires:	npm(is-valid-app)
BuildRequires:	npm(option-cache)
%endif

%description
Adds a few options methods to base, like option, enable and disable. See
the readme for the full API.


%prep
%autosetup -n package
# setup the tests and readme
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%nodejs_fixdep isobject
%nodejs_fixdep is-valid-app
%nodejs_fixdep set-value

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js utils.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 0.8.4-2
- Relax version of npm(isobject)

* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 0.8.4-1
- Initial packaging
